Bug 1303991 - koji should in the generated comps set mandatory types for required packages
koji should in the generated comps set mandatory types for required packages
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike McLean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: rel-eng-dnf
  Show dependency treegraph
 
Reported: 2016-02-02 11:00 EST by Dennis Gilmore
Modified: 2017-12-07 19:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2016-02-02 11:00:45 EST
Description of problem:
When making a buildroot we init a mock chroot, rebuild the srpm then install build deps. sometimes installing the BuildRequires if there is broken depedencies  we get an okay signal.  and the build completes with possibly less functionality. in these cases we need to not ignore broken deps but instead fail.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Honza Silhan 2016-02-03 07:50:26 EST
builddep works as expected for me.

# sudo dnf builddep squidGuard-1.4-22.fc22.src.rpm
Last metadata expiration check: 2:39:36 ago on Wed Feb  3 10:59:02 2016.
Package flex-2.5.37-8.fc22.x86_64 is already installed, skipping.
Package libdb-devel-5.3.28-12.fc22.x86_64 is already installed, skipping.
Package openldap-devel-2.4.40-12.fc22.x86_64 is already installed, skipping.
Dependencies resolved.
=====================================
 Package
       Arch   Version   Repository
                                Size
=====================================
Installing:
 bison x86_64 3.0.2-3.fc22
                        fedora 665 k
 byacc x86_64 1.9.20130925-4.fc22
                        fedora  69 k

Transaction Summary
=====================================
Install  2 Packages

Total download size: 734 k
Installed size: 2.1 M
Is this ok [y/N]: n
Operation aborted.

# sudo dnf builddep squidGuard-1.4-22.fc22.src.rpm -x bison
Last metadata expiration check: 2:40:26 ago on Wed Feb  3 10:59:02 2016.
No matching package to install: 'bison'
Package flex-2.5.37-8.fc22.x86_64 is already installed, skipping.
Package libdb-devel-5.3.28-12.fc22.x86_64 is already installed, skipping.
Package openldap-devel-2.4.40-12.fc22.x86_64 is already installed, skipping.
Not all dependencies satisfied
Error: Some packages could not be found.

# echo $?
1

# sudo dnf builddep squidGuard.spec -x bison
Last metadata expiration check: 2:44:13 ago on Wed Feb  3 10:59:02 2016.
No matching package to install: 'bison'
Package flex-2.5.37-8.fc22.x86_64 is already installed, skipping.
Package libdb-devel-5.3.28-12.fc22.x86_64 is already installed, skipping.
Package openldap-devel-2.4.40-12.fc22.x86_64 is already installed, skipping.
Not all dependencies satisfied
Error: Some packages could not be found.

# echo $?
1


Please provide a reproducer.
Comment 2 Dennis Gilmore 2016-02-04 05:11:46 EST
[dennis@hathor ~]$ mock -r fedora-rawhide-armhfp --init
INFO: mock.py version 1.2.14 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: clean chroot
Finish: clean chroot
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: root cache aged out! cache will be rebuilt
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Start: dnf install
fedora                                                                                                                                                                                                 1.5 MB/s |  41 MB     00:28    
Last metadata expiration check performed 0:02:01 ago on Thu Feb  4 09:58:25 2016.
Dependencies resolved.
=======================================================================================================================================================================================================================================
 Group                                                                             Packages                                                                                                                                           
=======================================================================================================================================================================================================================================
Marking installed:
 Buildsystem building group                                                        util-linux                                                      sed                                                               bzip2            
                                                                                   gzip                                                            diffutils                                                         make             
                                                                                   coreutils                                                       cpio                                                              tar              
                                                                                   grep                                                            gcc-c++                                                           redhat-rpm-config
                                                                                   unzip                                                           findutils                                                         info             
                                                                                   gcc                                                             which                                                             xz               
                                                                                   rpm-build                                                       gawk                                                              bash             
                                                                                   patch                                                           shadow-utils                                                      fedora-release   
=======================================================================================================================================================================================================================================
 Package                                                          Arch                                         Version                                                               Repository                                   Size
=======================================================================================================================================================================================================================================
Installing:
 audit-libs                                                       armv7hl                                      2.5-1.fc24                                                            fedora                                       87 k
 basesystem                                                       noarch                                       11-1.fc23                                                             fedora                                      9.6 k
 bash                                                             armv7hl                                      4.3.42-3.fc24                                                         fedora                                      1.4 M
 binutils                                                         armv7hl                                      2.26-4.fc24                                                           fedora                                      5.5 M
 bzip2                                                            armv7hl                                      1.0.6-19.fc24                                                         fedora                                       58 k
 bzip2-libs                                                       armv7hl                                      1.0.6-19.fc24                                                         fedora                                       44 k
 ca-certificates                                                  noarch                                       2015.2.6-2.fc24                                                       fedora                                      432 k
 chkconfig                                                        armv7hl                                      1.7-1.fc24                                                            fedora                                      176 k
 coreutils                                                        armv7hl                                      8.25-2.fc24                                                           fedora                                      1.0 M
 coreutils-common                                                 armv7hl                                      8.25-2.fc24                                                           fedora                                      1.9 M
 cpio                                                             armv7hl                                      2.12-2.fc24                                                           fedora                                      255 k
 cpp                                                              armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      7.1 M
 cracklib                                                         armv7hl                                      2.9.6-1.fc24                                                          fedora                                       84 k
 cracklib-dicts                                                   armv7hl                                      2.9.6-1.fc24                                                          fedora                                      3.9 M
 crypto-policies                                                  noarch                                       20151104-1.gitf1cba5f.fc24                                            fedora                                       30 k
 curl                                                             armv7hl                                      7.47.0-1.fc24                                                         fedora                                      290 k
 cyrus-sasl-lib                                                   armv7hl                                      2.1.26-25.2.fc24                                                      fedora                                      151 k
 diffutils                                                        armv7hl                                      3.3-12.fc23                                                           fedora                                      317 k
 dwz                                                              armv7hl                                      0.12-1.fc23                                                           fedora                                      106 k
 elfutils                                                         armv7hl                                      0.165-3.fc24                                                          fedora                                      290 k
 elfutils-default-yama-scope                                      noarch                                       0.165-3.fc24                                                          fedora                                       38 k
 elfutils-libelf                                                  armv7hl                                      0.165-3.fc24                                                          fedora                                      211 k
 elfutils-libs                                                    armv7hl                                      0.165-3.fc24                                                          fedora                                      258 k
 emacs-filesystem                                                 noarch                                       1:24.5-9.fc24                                                         fedora                                       65 k
 expat                                                            armv7hl                                      2.1.0-12.fc23                                                         fedora                                       73 k
 fedora-release                                                   noarch                                       24-0.6                                                                fedora                                       15 k
 fedora-repos                                                     noarch                                       24-0.2                                                                fedora                                       77 k
 fedora-repos-rawhide                                             noarch                                       24-0.2                                                                fedora                                      8.5 k
 file                                                             armv7hl                                      5.25-5.fc24                                                           fedora                                       67 k
 file-libs                                                        armv7hl                                      5.25-5.fc24                                                           fedora                                      434 k
 filesystem                                                       armv7hl                                      3.2-36.fc24                                                           fedora                                      1.0 M
 findutils                                                        armv7hl                                      1:4.6.0-2.fc24                                                        fedora                                      509 k
 gawk                                                             armv7hl                                      4.1.3-2.fc23                                                          fedora                                      1.0 M
 gc                                                               armv7hl                                      7.4.2-4.fc23                                                          fedora                                       90 k
 gcc                                                              armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                       15 M
 gcc-c++                                                          armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      8.5 M
 gdb                                                              armv7hl                                      7.10.50.20160131-50.fc24                                              fedora                                      2.7 M
 gdbm                                                             armv7hl                                      1.11-6.fc23                                                           fedora                                      132 k
 ghc-srpm-macros                                                  noarch                                       1.4.2-2.fc23                                                          fedora                                      8.2 k
 glib2                                                            armv7hl                                      2.47.5-1.fc24                                                         fedora                                      2.1 M
 glibc                                                            armv7hl                                      2.22.90-32.fc24                                                       fedora                                      3.4 M
 glibc-common                                                     armv7hl                                      2.22.90-32.fc24                                                       fedora                                       12 M
 glibc-devel                                                      armv7hl                                      2.22.90-32.fc24                                                       fedora                                      929 k
 glibc-headers                                                    armv7hl                                      2.22.90-32.fc24                                                       fedora                                      479 k
 gmp                                                              armv7hl                                      1:6.1.0-1.fc24                                                        fedora                                      237 k
 gnat-srpm-macros                                                 noarch                                       2-1.fc23                                                              fedora                                      8.4 k
 gnupg2                                                           armv7hl                                      2.1.10-3.fc24                                                         fedora                                      1.8 M
 gnutls                                                           armv7hl                                      3.4.8-1.fc24                                                          fedora                                      595 k
 go-srpm-macros                                                   noarch                                       2-5.fc24                                                              fedora                                      8.2 k
 grep                                                             armv7hl                                      2.22-6.fc24                                                           fedora                                      267 k
 guile                                                            armv7hl                                      5:2.0.11-7.fc24                                                       fedora                                      3.9 M
 gzip                                                             armv7hl                                      1.6-9.fc23                                                            fedora                                      153 k
 info                                                             armv7hl                                      6.0-2.fc24                                                            fedora                                      201 k
 isl                                                              armv7hl                                      0.14-4.fc23                                                           fedora                                      382 k
 kernel-headers                                                   armv7hl                                      4.5.0-0.rc2.git1.1.fc24                                               fedora                                      1.0 M
 keyutils-libs                                                    armv7hl                                      1.5.9-7.fc24                                                          fedora                                       44 k
 krb5-libs                                                        armv7hl                                      1.14-19.fc24                                                          fedora                                      756 k
 libacl                                                           armv7hl                                      2.2.52-10.fc24                                                        fedora                                       30 k
 libarchive                                                       armv7hl                                      3.1.2-14.fc24                                                         fedora                                      288 k
 libasan                                                          armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      291 k
 libassuan                                                        armv7hl                                      2.4.2-1.fc24                                                          fedora                                       70 k
 libatomic                                                        armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                       16 k
 libatomic_ops                                                    armv7hl                                      7.4.2-6.fc23                                                          fedora                                       31 k
 libattr                                                          armv7hl                                      2.4.47-15.fc24                                                        fedora                                       23 k
 libbabeltrace                                                    armv7hl                                      1.2.4-3.fc24                                                          fedora                                      141 k
 libblkid                                                         armv7hl                                      2.27.1-4.fc24                                                         fedora                                      170 k
 libcap                                                           armv7hl                                      2.24-8.fc23                                                           fedora                                       50 k
 libcap-ng                                                        armv7hl                                      0.7.7-3.fc24                                                          fedora                                       29 k
 libcom_err                                                       armv7hl                                      1.42.13-3.fc23                                                        fedora                                       44 k
 libcurl                                                          armv7hl                                      7.47.0-1.fc24                                                         fedora                                      233 k
 libdb                                                            armv7hl                                      5.3.28-13.fc23                                                        fedora                                      632 k
 libdb-utils                                                      armv7hl                                      5.3.28-13.fc23                                                        fedora                                      105 k
 libfdisk                                                         armv7hl                                      2.27.1-4.fc24                                                         fedora                                      211 k
 libffi                                                           armv7hl                                      3.1-8.fc23                                                            fedora                                       33 k
 libgcc                                                           armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                       67 k
 libgcrypt                                                        armv7hl                                      1.6.4-1.fc24                                                          fedora                                      335 k
 libgomp                                                          armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      164 k
 libgpg-error                                                     armv7hl                                      1.21-1.fc24                                                           fedora                                      150 k
 libidn                                                           armv7hl                                      1.32-1.fc24                                                           fedora                                      230 k
 libksba                                                          armv7hl                                      1.3.3-2.fc23                                                          fedora                                      115 k
 libmetalink                                                      armv7hl                                      0.1.2-8.fc23                                                          fedora                                       26 k
 libmount                                                         armv7hl                                      2.27.1-4.fc24                                                         fedora                                      184 k
 libmpc                                                           armv7hl                                      1.0.2-4.fc23                                                          fedora                                       47 k
 libnghttp2                                                       armv7hl                                      1.7.0-1.fc24                                                          fedora                                       58 k
 libpwquality                                                     armv7hl                                      1.3.0-3.fc24                                                          fedora                                       93 k
 libseccomp                                                       armv7hl                                      2.2.3-0.fc23                                                          fedora                                       50 k
 libsecret                                                        armv7hl                                      0.18.4-1.fc24                                                         fedora                                      143 k
 libselinux                                                       armv7hl                                      2.4-7.fc24                                                            fedora                                      140 k
 libsemanage                                                      armv7hl                                      2.4-5.fc24                                                            fedora                                      138 k
 libsepol                                                         armv7hl                                      2.4-3.fc24                                                            fedora                                      234 k
 libsmartcols                                                     armv7hl                                      2.27.1-4.fc24                                                         fedora                                      133 k
 libssh2                                                          armv7hl                                      1.6.0-3.fc24                                                          fedora                                      137 k
 libstdc++                                                        armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      360 k
 libstdc++-devel                                                  armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      1.8 M
 libtasn1                                                         armv7hl                                      4.7-1.fc24                                                            fedora                                      321 k
 libtool-ltdl                                                     armv7hl                                      2.4.6-9.fc24                                                          fedora                                       52 k
 libubsan                                                         armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                      106 k
 libunistring                                                     armv7hl                                      0.9.4-2.fc23                                                          fedora                                      287 k
 libuser                                                          armv7hl                                      0.62-2.fc24                                                           fedora                                      392 k
 libutempter                                                      armv7hl                                      1.1.6-7.fc23                                                          fedora                                       29 k
 libuuid                                                          armv7hl                                      2.27.1-4.fc24                                                         fedora                                       79 k
 libverto                                                         armv7hl                                      0.2.6-5.fc23                                                          fedora                                       20 k
 libxml2                                                          armv7hl                                      2.9.3-2.fc24                                                          fedora                                      594 k
 lua                                                              armv7hl                                      5.3.2-2.fc24                                                          fedora                                      263 k
 lz4                                                              armv7hl                                      r131-1.fc23                                                           fedora                                       81 k
 lzo                                                              armv7hl                                      2.08-5.fc24                                                           fedora                                       59 k
 make                                                             armv7hl                                      1:4.1-4.fc24                                                          fedora                                      458 k
 mpfr                                                             armv7hl                                      3.1.3-3.fc24                                                          fedora                                      195 k
 ncurses                                                          armv7hl                                      6.0-3.20160116.fc24                                                   fedora                                      336 k
 ncurses-base                                                     noarch                                       6.0-3.20160116.fc24                                                   fedora                                       77 k
 ncurses-compat-libs                                              armv7hl                                      6.0-3.20160116.fc24                                                   fedora                                      261 k
 ncurses-libs                                                     armv7hl                                      6.0-3.20160116.fc24                                                   fedora                                      275 k
 nettle                                                           armv7hl                                      3.1.1-6.fc24                                                          fedora                                      307 k
 npth                                                             armv7hl                                      1.2-2.fc23                                                            fedora                                       23 k
 nspr                                                             armv7hl                                      4.11.0-1.fc24                                                         fedora                                      114 k
 nss                                                              armv7hl                                      3.21.0-6.fc24                                                         fedora                                      744 k
 nss-softokn                                                      armv7hl                                      3.21.0-5.fc24                                                         fedora                                      272 k
 nss-softokn-freebl                                               armv7hl                                      3.21.0-5.fc24                                                         fedora                                      173 k
 nss-sysinit                                                      armv7hl                                      3.21.0-6.fc24                                                         fedora                                       56 k
 nss-tools                                                        armv7hl                                      3.21.0-6.fc24                                                         fedora                                      477 k
 nss-util                                                         armv7hl                                      3.21.0-2.fc24                                                         fedora                                       71 k
 ocaml-srpm-macros                                                noarch                                       2-3.fc23                                                              fedora                                      8.1 k
 openldap                                                         armv7hl                                      2.4.43-1.fc24                                                         fedora                                      307 k
 openssl-libs                                                     armv7hl                                      1:1.0.2f-1.fc24                                                       fedora                                      832 k
 p11-kit                                                          armv7hl                                      0.23.2-1.fc24                                                         fedora                                      135 k
 p11-kit-trust                                                    armv7hl                                      0.23.2-1.fc24                                                         fedora                                      116 k
 pam                                                              armv7hl                                      1.2.1-3.fc24                                                          fedora                                      710 k
 patch                                                            armv7hl                                      2.7.5-2.fc23                                                          fedora                                      121 k
 pcre                                                             armv7hl                                      8.38-6.fc24                                                           fedora                                      434 k
 perl                                                             armv7hl                                      4:5.22.1-355.fc24                                                     fedora                                      5.9 M
 perl-Carp                                                        noarch                                       1.38-1.fc24                                                           fedora                                       28 k
 perl-Errno                                                       armv7hl                                      1.23-355.fc24                                                         fedora                                       61 k
 perl-Exporter                                                    noarch                                       5.72-348.fc24                                                         fedora                                       33 k
 perl-Fedora-VSP                                                  noarch                                       0.001-1.fc24                                                          fedora                                       23 k
 perl-File-Path                                                   noarch                                       2.12-1.fc24                                                           fedora                                       34 k
 perl-IO                                                          armv7hl                                      1.35-355.fc24                                                         fedora                                      126 k
 perl-PathTools                                                   armv7hl                                      3.62-1.fc24                                                           fedora                                       87 k
 perl-Scalar-List-Utils                                           armv7hl                                      2:1.42-3.fc23                                                         fedora                                       59 k
 perl-Socket                                                      armv7hl                                      3:2.021-1.fc24                                                        fedora                                       54 k
 perl-Text-Tabs+Wrap                                              noarch                                       2013.0523-346.fc23                                                    fedora                                       23 k
 perl-Unicode-Normalize                                           armv7hl                                      1.25-1.fc24                                                           fedora                                       68 k
 perl-constant                                                    noarch                                       1.33-347.fc23                                                         fedora                                       24 k
 perl-generators                                                  noarch                                       1.07-2.fc24                                                           fedora                                       16 k
 perl-libs                                                        armv7hl                                      4:5.22.1-355.fc24                                                     fedora                                      1.3 M
 perl-macros                                                      armv7hl                                      4:5.22.1-355.fc24                                                     fedora                                       58 k
 perl-parent                                                      noarch                                       1:0.234-3.fc23                                                        fedora                                       18 k
 perl-srpm-macros                                                 noarch                                       1-17.fc23                                                             fedora                                      9.7 k
 perl-threads                                                     armv7hl                                      1:2.02-2.fc23                                                         fedora                                       56 k
 perl-threads-shared                                              armv7hl                                      1.48-346.fc23                                                         fedora                                       42 k
 pinentry                                                         armv7hl                                      0.9.7-1.fc24                                                          fedora                                       78 k
 pkgconfig                                                        armv7hl                                      1:0.29-1.fc24                                                         fedora                                       61 k
 popt                                                             armv7hl                                      1.16-6.fc23                                                           fedora                                       56 k
 python-srpm-macros                                               noarch                                       3-6.fc24                                                              fedora                                      7.9 k
 python3                                                          armv7hl                                      3.5.1-3.fc24                                                          fedora                                       55 k
 python3-libs                                                     armv7hl                                      3.5.1-3.fc24                                                          fedora                                      7.1 M
 python3-pip                                                      noarch                                       7.1.0-3.fc24                                                          fedora                                      1.5 M
 python3-setuptools                                               noarch                                       19.6.2-1.fc24                                                         fedora                                      421 k
 readline                                                         armv7hl                                      6.3-7.fc24                                                            fedora                                      187 k
 redhat-rpm-config                                                noarch                                       40-1.fc24                                                             fedora                                       60 k
 rpm                                                              armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                      511 k
 rpm-build                                                        armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                      138 k
 rpm-build-libs                                                   armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                      109 k
 rpm-libs                                                         armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                      254 k
 rpm-plugin-selinux                                               armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                       53 k
 sed                                                              armv7hl                                      4.2.2-12.fc24                                                         fedora                                      235 k
 setup                                                            noarch                                       2.9.8-2.fc23                                                          fedora                                      172 k
 shadow-utils                                                     armv7hl                                      2:4.2.1-5.fc24                                                        fedora                                      1.1 M
 shared-mime-info                                                 armv7hl                                      1.5-2.fc24                                                            fedora                                      300 k
 sqlite                                                           armv7hl                                      3.10.2-1.fc24                                                         fedora                                      420 k
 systemd-libs                                                     armv7hl                                      228-7.gite35a787.fc24                                                 fedora                                      435 k
 tar                                                              armv7hl                                      2:1.28-6.fc23                                                         fedora                                      927 k
 tzdata                                                           noarch                                       2016a-1.fc24                                                          fedora                                      409 k
 unzip                                                            armv7hl                                      6.0-27.fc24                                                           fedora                                      169 k
 ustr                                                             armv7hl                                      1.0.4-20.fc24                                                         fedora                                       79 k
 util-linux                                                       armv7hl                                      2.27.1-4.fc24                                                         fedora                                      2.1 M
 which                                                            armv7hl                                      2.20-12.fc23                                                          fedora                                       45 k
 xz                                                               armv7hl                                      5.2.2-1.fc24                                                          fedora                                      147 k
 xz-libs                                                          armv7hl                                      5.2.2-1.fc24                                                          fedora                                       83 k
 zip                                                              armv7hl                                      3.0-15.fc23                                                           fedora                                      263 k
 zlib                                                             armv7hl                                      1.2.8-9.fc24                                                          fedora                                       91 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 acl                                                              armv7hl                                      2.2.52-10.fc24                                                        fedora                                       75 k
 bash-completion                                                  noarch                                       1:2.1-8.20150513git1950590.fc23                                       fedora                                      255 k
 cryptsetup-libs                                                  armv7hl                                      1.7.0-2.fc24                                                          fedora                                      203 k
 dbus                                                             armv7hl                                      1:1.11.0-1.fc24                                                       fedora                                      229 k
 dbus-libs                                                        armv7hl                                      1:1.11.0-1.fc24                                                       fedora                                      155 k
 deltarpm                                                         armv7hl                                      3.6-13.fc24                                                           fedora                                       84 k
 device-mapper                                                    armv7hl                                      1.02.115-1.fc24                                                       fedora                                      303 k
 device-mapper-libs                                               armv7hl                                      1.02.115-1.fc24                                                       fedora                                      352 k
 dnf-conf                                                         noarch                                       1.1.6-1.fc24                                                          fedora                                       91 k
 dnf-plugins-core                                                 noarch                                       0.1.16-3.fc24                                                         fedora                                       38 k
 gcc-gdb-plugin                                                   armv7hl                                      6.0.0-0.9.fc24                                                        fedora                                       57 k
 gpgme                                                            armv7hl                                      1.4.3-6.fc23                                                          fedora                                      138 k
 hawkey                                                           armv7hl                                      0.6.2-3.fc24                                                          fedora                                       83 k
 iptables                                                         armv7hl                                      1.4.21-15.fc23                                                        fedora                                      404 k
 kmod                                                             armv7hl                                      22-2.fc24                                                             fedora                                      105 k
 kmod-libs                                                        armv7hl                                      22-2.fc24                                                             fedora                                       57 k
 libcomps                                                         armv7hl                                      0.1.7-2.fc24                                                          fedora                                       64 k
 libmnl                                                           armv7hl                                      1.0.3-10.fc23                                                         fedora                                       26 k
 libnetfilter_conntrack                                           armv7hl                                      1.0.4-5.fc23                                                          fedora                                       50 k
 libnfnetlink                                                     armv7hl                                      1.0.1-7.fc23                                                          fedora                                       29 k
 librepo                                                          armv7hl                                      1.7.17-2.fc24                                                         fedora                                       76 k
 libreport-filesystem                                             armv7hl                                      2.6.4-1.fc24                                                          fedora                                       46 k
 libsolv                                                          armv7hl                                      0.6.15-6.fc24                                                         fedora                                      293 k
 libxkbcommon                                                     armv7hl                                      0.5.0-3.fc24                                                          fedora                                      102 k
 python3-dnf                                                      noarch                                       1.1.6-1.fc24                                                          fedora                                      456 k
 python3-dnf-plugins-core                                         noarch                                       0.1.16-3.fc24                                                         fedora                                       81 k
 python3-hawkey                                                   armv7hl                                      0.6.2-3.fc24                                                          fedora                                       69 k
 python3-iniparse                                                 noarch                                       0.4-17.fc24                                                           fedora                                       46 k
 python3-libcomps                                                 armv7hl                                      0.1.7-2.fc24                                                          fedora                                       43 k
 python3-librepo                                                  armv7hl                                      1.7.17-2.fc24                                                         fedora                                       53 k
 python3-pygpgme                                                  armv7hl                                      0.3-14.fc24                                                           fedora                                       75 k
 python3-six                                                      noarch                                       1.10.0-1.fc24                                                         fedora                                       35 k
 qrencode-libs                                                    armv7hl                                      3.4.2-5.fc23                                                          fedora                                       51 k
 rpm-plugin-systemd-inhibit                                       armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                       53 k
 rpm-python3                                                      armv7hl                                      4.13.0-0.rc1.23.fc24                                                  fedora                                       97 k
 systemd                                                          armv7hl                                      228-7.gite35a787.fc24                                                 fedora                                      5.9 M
 trousers                                                         armv7hl                                      0.3.13-5.fc23                                                         fedora                                      140 k
 trousers-lib                                                     armv7hl                                      0.3.13-5.fc23                                                         fedora                                      132 k
 xkeyboard-config                                                 noarch                                       2.17-1.fc24                                                           fedora                                      767 k

Transaction Summary
=======================================================================================================================================================================================================================================
Install  180 Packages
Skip      39 Packages

Total download size: 122 M
Installed size: 469 M

The skipped packages here should cause the init to fail
Comment 3 Honza Silhan 2016-02-18 08:29:24 EST
This was discussed with Dennis personally.

The main problem was that during mock init some packages was not installed from given group. The reproducible command for DNF was:
dnf --repofrompath=koji,http://koji.fedoraproject.org/repos/f24-build/578895/x86_64/ install @livemedia-build --installroot=/home/jsilhan/Desktop/tmp/bla --nogpgcheck --disablerepo=\* --enablerepo=koji

where `lorax-lmc-novirt` packages was shown to be marked as installed but was not installed.

There are three issues in this report:
1) the @livemedia-build created by koji had `default` type for required packages instead of `mandatory`. Changing this BZ to set these types as mandatory ones.

2) DNF should not shown package `lorax-lmc-novirt` as installed by the group. Let's track it in bug 1305356.

3) as seen in the output in comment 2, DNF shows in "Skipping packages with conflicts" section packages pulled in by weak deps. This is tracked in bug 1306591.
Comment 4 Peter Robinson 2016-02-18 08:48:36 EST
So we fixed this in the Fedora koji instance by explicitly updating the entries in the DB from default -> mandatory

SQL: "UPDATE group_package_listing set type = 'mandatory' where type = 'default';"

And there's a pull request to properly set this for new packages/groups going forard:

https://pagure.io/koji/pull-request/25
Comment 5 Jan Kurik 2016-02-24 09:23:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora Admin XMLRPC Client 2016-03-10 09:46:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jan Kurik 2017-08-15 03:42:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.